<script setup lang="ts">
  withDefaults(
    defineProps<{
      controller?: ReturnType<typeof useModal>;
      static?: boolean;
    }>(),
    {
      static: false,
      controller: undefined,
    },
  );
  const { currentShopPage, isLoading } = useShopPage();
</script>

<template>
  <SwModal
    :modal-title="$t('presentation.details')"
    :controller="controller"
    :backdrop-display="true"
  >
    <template #body>
      <div v-if="static">shop page static</div>
      <SwLoading v-else-if="isLoading" />
      <div v-else-if="currentShopPage">
        <CmsPage :key="currentShopPage?.id" :content="currentShopPage" />
      </div>
      <div v-else>404</div>
    </template>
  </SwModal>
</template>
